Subject: Re: [PATCH] [NET] cpmac: convert to new Fixed PHY infrastructure

From: Jeff Garzik <[email-masked]>
Date: Wed, 30 Jan 2008 12:40:54 -0500

Kumar Gala wrote:
> 
> On Jan 30, 2008, at 11:09 AM, Jeff Garzik wrote:
> 
>> Anton Vorontsov wrote:
>>> On Mon, Jan 21, 2008 at 01:19:41PM -0600, Kumar Gala wrote:
>>>> Anton,
>>>>
>>>> it looks like the "TI AR7 CPMAC Ethernet support" uses FIXED_PHY 
>>>> and  was selecting FIXED_MII_100_FDX which is gone.
>>>>
>>>> Can you look into this.  I get the following warning now:
>>>>
>>>> scripts/kconfig/conf -s arch/powerpc/Kconfig
>>>> drivers/net/Kconfig:1713:warning: 'select' used by config symbol  
>>>> 'CPMAC' refers to undefined symbol 'FIXED_MII_100_FDX'
>>> Wow. I thought there were no Fixed PHY users. :-)
>>> Jeff, as you've already Acked Fixed PHY rework to go through powerpc
>>> tree, would you please Ack this patch in addition? I hope cpmac
>>> maintainer will fix remaining issues as time goes by.
>>> Thanks!
>>> - - - -
>>> From: Anton Vorontsov <[email-masked]>
>>> Subject: [PATCH] [NET] cpmac: convert to new Fixed PHY infrastructure
>>> This patch converts cpmac to the new Fixed PHY infrastructure, though it
>>> doesn't fix all the problems with that driver. I didn't even bother to
>>> test this patch to compile, because cpmac driver is broken in several 
>>> ways:
>>> 1. This driver won't compile by itself because lack of its header 
>>> describing
>>>   platform data;
>>> 2. It assumes that fixed PHYs should be created by the ethernet driver.
>>>   It is wrong assumption: fixed PHYs creation is platform code 
>>> authority,
>>>   driver must blindly accept bus_id and phy_id platform data variables
>>>   instead.
>>> Also, it seem that that driver doesn't have actual in-tree users, so
>>> nothing to fix further.
>>> The main purpose of that patch is to get rid of the following Kconfig
>>> warning:
>>> scripts/kconfig/conf -s arch/powerpc/Kconfig
>>> drivers/net/Kconfig:1713:warning: 'select' used by config symbol
>>> 'CPMAC' refers to undefined symbol 'FIXED_MII_100_FDX'
>>> Signed-off-by: Anton Vorontsov <[email-masked]>
>>
>> ACK
> 
> Is this going through netdev or do you want me to pick it via the 
> powerpc route?

Based on your comments I sorta assumed it was most convenient to lump in 
with the rest of the powerpc changes...

	Jeff